%define majver %(echo %version | cut -d. -f1-2)

Name:          kdesu
Version:       5.24.0
Release:       1mamba
Summary:       KDE Frameworks 5 User interface for running shell commands with root privileges
Group:         Graphical Desktop/Applications/Administration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kdesu-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkpty-devel
BuildRequires: libkservice-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
User interface for running shell commands with root privileges.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Su.so.*
%{_libexecdir}/kf5/kdesu_stub
%{_libexecdir}/kf5/kdesud
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KDESu
%dir %{_kde5_includedir}/KDESu/KDESu
%{_kde5_includedir}/KDESu/KDESu/*
%dir %{_kde5_includedir}/KDESu/kdesu
%{_kde5_includedir}/KDESu/kdesu/*
%{_kde5_includedir}/kdesu_version.h
%dir %{_kde5_libdir}/cmake/KF5Su
%{_kde5_libdir}/cmake/KF5Su/KF5Su*.cmake
%{_kde5_libdir}/libKF5Su.so
%{_kde5_mkspecsdir}/qt_KDESu.pri

%changelog
* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Wed May 25 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Wed Apr 20 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.0-1mamba
- update to 5.18.0

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.17.0-1mamba
- package created using the webbuild interface
